A lot of script-driven apps, particularly paid cms, encode their files to ensure that they won't be reverse engineered or tampered with. Many of them use an application called ionCube PHP Encoder to do this, so if you purchase a paid script and you want to set it up in a hosting account, an instrument called ionCube Loader needs to be present on your server. Without having it, you can't install the script or in case you somehow find a way to do this, it won't function appropriately because most of the script code will be encrypted to a point where it cannot be interpreted. That is why, you need to make sure that ionCube Loader is present when you get a fresh website hosting account and you wish to use some paid web application. If you purchase a shared website hosting account and the tool is not present, it cannot be added since the whole server PHP environment shall have to be compiled again.

IonCube in Cloud Hosting

When you buy a cloud hosting service from our company, it'll be created on our tailor-made cloud hosting platform where ionCube Loader is already set up, so you won't have any problems to run any script application that requires the tool in order to function properly. In addition, we offer you several different versions of PHP, so if you change the version, you need to activate ionCube again. Our system remembers the changes you make, which means that in case you switch back to the earlier release of PHP that was active for your account, ionCube Loader will already be turned on. The PHP version as well as the ionCube instrument can be operated from the PHP Configuration section of our Hepsia hosting Control Panel. Every adjustment that you make takes literally just a click and it'll take effect without delay.

IonCube in Semi-dedicated Servers

If you aquire a semi-dedicated server plan from us, you can take advantage of any kind of script-driven application which requires ionCube Loader for the reason that the software tool is installed on all servers which are a part of our innovative cloud website hosting platform. Furthermore, we support several releases of PHP, therefore if you move from PHP 4 to 5.2 or 5.3, for example, you can activate ionCube for that particular release with just a click in your Hepsia Control Panel. Our platform will remember your decision, so in case you switch back to the previous release of PHP, the tool will already be active. For more experienced users, we also provide the option to select the PHP version and whether ionCube will be active or not for a specific domain name without altering the settings for the entire website hosting account. This is done by putting a php.ini file in a domain folder with a few lines of code.